VST 3 SDK: ProcessContextRequirements Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
ProcessContextRequirements Class Reference

`#include <processcontextrequirements.h>`

## Public Member Functions
| ProcessContextRequirements (uint32 inFlags=0)
bool | wantsNone () const
bool | wantsSystemTime () const
bool | wantsContinousTimeSamples () const
bool | wantsProjectTimeMusic () const
bool | wantsBarPositionMusic () const
bool | wantsCycleMusic () const
bool | wantsSamplesToNextClock () const
bool | wantsTempo () const
bool | wantsTimeSignature () const
bool | wantsChord () const
bool | wantsFrameRate () const
bool | wantsTransportState () const
Self & | needSystemTime ()
| set SystemTime as requested
Self & | needContinousTimeSamples ()
| set ContinousTimeSamples as requested
Self & | needProjectTimeMusic ()
| set ProjectTimeMusic as requested
Self & | needBarPositionMusic ()
| set BarPositionMusic as needed
Self & | needCycleMusic ()
| set CycleMusic as needed
Self & | needSamplesToNextClock ()
| set SamplesToNextClock as needed
Self & | needTempo ()
| set Tempo as needed
Self & | needTimeSignature ()
| set TimeSignature as needed
Self & | needChord ()
| set Chord as needed
Self & | needFrameRate ()
| set FrameRate as needed
Self & | needTransportState ()
| set TransportState as needed

## Public Attributes
uint32 | flags {0}

## Constructor & Destructor Documentation

ProcessContextRequirements | ( | uint32 | inFlags = `0` | ) |
| inline

## Member Function Documentation

bool wantsNone | ( |  | ) | const
| inline

bool wantsSystemTime | ( |  | ) | const
| inline

bool wantsContinousTimeSamples | ( |  | ) | const
| inline

bool wantsProjectTimeMusic | ( |  | ) | const
| inline

bool wantsBarPositionMusic | ( |  | ) | const
| inline

bool wantsCycleMusic | ( |  | ) | const
| inline

bool wantsSamplesToNextClock | ( |  | ) | const
| inline

bool wantsTempo | ( |  | ) | const
| inline

bool wantsTimeSignature | ( |  | ) | const
| inline

bool wantsChord | ( |  | ) | const
| inline

bool wantsFrameRate | ( |  | ) | const
| inline

bool wantsTransportState | ( |  | ) | const
| inline

Self& needSystemTime | ( |  | ) |
| inline

set SystemTime as requested

Self& needContinousTimeSamples | ( |  | ) |
| inline

set ContinousTimeSamples as requested

Self& needProjectTimeMusic | ( |  | ) |
| inline

set ProjectTimeMusic as requested

Self& needBarPositionMusic | ( |  | ) |
| inline

set BarPositionMusic as needed

Self& needCycleMusic | ( |  | ) |
| inline

set CycleMusic as needed

Self& needSamplesToNextClock | ( |  | ) |
| inline

set SamplesToNextClock as needed

Self& needTempo | ( |  | ) |
| inline

set Tempo as needed

Self& needTimeSignature | ( |  | ) |
| inline

set TimeSignature as needed

Self& needChord | ( |  | ) |
| inline

set Chord as needed

Self& needFrameRate | ( |  | ) |
| inline

set FrameRate as needed

Self& needTransportState | ( |  | ) |
| inline

set TransportState as needed

## Member Data Documentation

uint32 flags {0}

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.